luaload_use = true
luas = "sys/lua/menu2/menu2_test.lua"

if not luaload_use then return end
function string:toTable(m)
	m = m or "%s"
	local tbl = {}
	for w in self:gmatch("[^" .. m .. "]+") do
		table.insert(tbl, w)
	end
	return tbl
end

function string:fileup()
	local s = ""
	for i, v in ipairs(self:toTable("/")) do
		if i < #self:toTable("/") then
			s = s .. v .. "/"
		end
	end
	return s, self:sub(select(2, self:find(s)), -5)
end

_dofile = dofile

function dofile(path)
	if not path:find("bots/") then
		self = {}
		self.directory, self.name = path:fileup()
		luaload_dofile = dofile
		dofile = _dofile
		dofile(path)
	else
		_dofile(path)
	end
end

_print = print

function print(...)
	local args = {...}
	for i, v in pairs(args) do
		if type(v) == "table" then
			for i, v in pairs(v) do
				print(v)
			end
		else
			_print(tostring(v))
		end
	end
end

dofile(luas)