menu2 = {}
if luaload_use then menu2.dir = self.directory end
if menu2.dir then menu2.gfx_dir = menu2.dir .. "gfx/" else error("loaload.lua is needed to run this file!") return end

_menu = menu
_addhook = addhook
menu2.cursorpos = {}
menu2.onscreen = {}
menu2.click = {}
menu2.mini = {}
menu2.images = {}
menu2.pixel_x = 349
menu2.pixel_y = 20

function string:toTable(m)
	m = m or "%s"
	local tbl = {}
	for w in self:gmatch("[^" .. m .. "]+") do
		table.insert(tbl, w)
	end
	return tbl
end

function addhook(what, to, pri)
	if what == "menu" then
		menu2.menu_function = to
	end
	_addhook(what, to, pri or 0)
end

function menu2.hudtxt2(id, i, txt, x, y, algin)
	algin = algin or 0
	parse([[hudtxt2 ]] .. id .. [[ ]] .. i .. [[ "]] .. txt .. [[" ]] .. x .. [[ ]] .. y .. [[ ]] .. algin)
end

function menu2.servertransfer_save()
	local file = io.open("sys/servertransfer.lst", "r")
	local c = file:read("*a")
	file:close()
	if not c:find(menu2.gfx_dir) then
		local file = io.open("sys/servertransfer.lst", "a")
		file:write(menu2.gfx_dir .. "menu2.desk.png\n" .. menu2.gfx_dir .. "menu2.button.png\n" .. menu2.gfx_dir .. "menu2.close.png\n" .. menu2.gfx_dir .. "menu2.line.png\n" .. menu2.gfx_dir .. "menu2.minimized.png\n" .. menu2.gfx_dir .. "menu2.minimize.png\n")
		file:close()
	end
end

function menu2.minimize(id, men)
	imagealpha(menu2.images[id].desk, 0)
	imagealpha(menu2.images[id].line, 0)
	imagealpha(menu2.images[id].buttons.x, 0)
	if menu2.images[id].mini then imagealpha(menu2.images[id].mini, 1) end
	for i = 0, 9, 1 do
		if menu2.images[id].buttons[i] then
			imagealpha(menu2.images[id].buttons[i], 0)
		end
	end
	menu2.hudtxt2(id, 1, "", 0, 0)
	for i = 1, 9 do
		menu2.hudtxt2(id, i + 1, "", 0, 0)
		menu2.hudtxt2(id, i + 10, "", 0, 0)
	end
	menu2.hudtxt2(id, 22, "", 0, 0)
	menu2.hudtxt2(id, 23, "", 0, 0)
	imagealpha(menu2.images[id].mini, 1)
	imagepos(menu2.images[id].buttons.m, 174 + menu2.pixel_x, 424 + menu2.pixel_y, 0)
	imagealpha(menu2.images[id].buttons.m, 1)
	menu2.hudtxt2(id, 1, "255255255" .. men:toTable(",")[1], -40 + menu2.pixel_x, 417 + menu2.pixel_y)
	menu2.onscreen[id] = false
	menu2.mini[id] = {true, men}
end

function menu2:load(id)
	menu2.images[id] = menu2.images[id] or {}
	if not menu2.images[id].desk then
		menu2.images[id] = {
			desk = image(menu2.gfx_dir .. "menu2.desk.png", 136 + menu2.pixel_x, 220 + menu2.pixel_y, 2, id),
			mini = image(menu2.gfx_dir .. "menu2.minimized.png", 75 + menu2.pixel_x, 425 + menu2.pixel_y, 2, id),
			buttons = {
			x = image(menu2.gfx_dir .. "menu2.close.png", 246 + menu2.pixel_x, 10 + menu2.pixel_y, 2, id),
			m = image(menu2.gfx_dir .. "menu2.minimize.png", 226 + menu2.pixel_x, 10 + menu2.pixel_y, 2, id)
			},
			line = image(menu2.gfx_dir .. "menu2.line.png", 136 + menu2.pixel_x, 20 + menu2.pixel_y, 2, id),
			rmen = self
		}
		imagealpha(menu2.images[id].mini, 0)
		local men = self
		while men:find(",,") do
			men = men:sub(1, select(1, men:find(",,")) - 1) .. ", , " .. men:sub(select(1, men:find(",,")) + 2)
		end
		if men:sub(-1, -1) == "," then
			men = men:sub(1, -1)
		end
		mentbl = men:toTable(",")
		menu2.images[id].t = mentbl[1]
		for i, v in ipairs(mentbl) do
			if i ~= 1 then
				if v:sub(1, 1) == "(" then
					mentbl[i] = {v:sub(2):sub(1, -2), false}
				else
					mentbl[i] = {v, true}
				end
			end
		end
		menu2.hudtxt2(id, 1, "255255255" .. mentbl[1], 16 + menu2.pixel_x, 4 + menu2.pixel_y)
		menu2.images[id].active = menu2.images[id].active or {}
		for i = 1, 9 do
			if mentbl[i + 1] then
				menu2.images[id].buttons[i] = image(menu2.gfx_dir .. "menu2.button.png", 136 + menu2.pixel_x, 43 + ((i - 1) * 30)  + menu2.pixel_y, 2, id)
				imagecolor(menu2.images[id].buttons[i], 220, 220, 220)
				imagealpha(menu2.images[id].buttons[i], 0)
				menu2.images[id].button = menu2.images[id].button or {}
				menu2.images[id].button[i] = function(x, y) if x >= 16 + menu2.pixel_x and x <= 255 + menu2.pixel_x and y >= 30 + menu2.pixel_y + ((i - 1) * 30) and y <= 54 + ((i - 1) * 30) + menu2.pixel_y then return true end end
				if mentbl[i + 1][2] then
					if mentbl[i + 1][1] ~= " " then
						menu2.hudtxt2(id, i + 1, "255255255" .. mentbl[i + 1][1], 36 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
						menu2.hudtxt2(id, i + 10, "100100100" .. i, 21 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
						menu2.images[id].buttons[i] = image(menu2.gfx_dir .. "menu2.button.png", 136 + menu2.pixel_x, 43 + ((i - 1) * 30)  + menu2.pixel_y, 2, id)
						imagecolor(menu2.images[id].buttons[i], 220, 220, 220)
						menu2.images[id].button = menu2.images[id].button or {}
						menu2.images[id].button[i] = function(x, y) if x >= 16 + menu2.pixel_x and x <= 255 + menu2.pixel_x and y >= 30 + menu2.pixel_y + ((i - 1) * 30) and y <= 54 + ((i - 1) * 30) + menu2.pixel_y then return true end end
						menu2.images[id].active[i] = true
					end
				else
					menu2.hudtxt2(id, i + 1, "100100100" .. mentbl[i + 1][1], 36 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
					menu2.hudtxt2(id, i + 10, "100100100" .. i, 21 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
					menu2.images[id].buttons[i] = image(menu2.gfx_dir .. "menu2.button.png", 136 + menu2.pixel_x, 43 + ((i - 1) * 30)  + menu2.pixel_y, 2, id)
					tween_color(menu2.images[id].buttons[i],100, 200, 200, 200)
					menu2.images[id].active[i] = false
				end
			end
		end
		menu2.images[id].active[0] = true
		menu2.hudtxt2(id, 22, "255255255Close", 36 + menu2.pixel_x, 400 + menu2.pixel_y)
		menu2.hudtxt2(id, 23, "1001001000", 21 + menu2.pixel_x, 400 + menu2.pixel_y)
		menu2.images[id].buttons[0] = image(menu2.gfx_dir .. "menu2.button.png", 136 + menu2.pixel_x, 407 + menu2.pixel_y, 2, id)
		imagecolor(menu2.images[id].buttons[0], 255, 255, 255)
		menu2.images[id].button = menu2.images[id].button or {}
		menu2.images[id].button[0] = function(x, y) if x >= 16 + menu2.pixel_x and x <= 255 + menu2.pixel_x and y >= 393 + menu2.pixel_y and y <= 418 + menu2.pixel_y then return true end end
		menu2.images[id].button["x"] = function(x, y) if x >= 240 + menu2.pixel_x and x <= 251 + menu2.pixel_x and y >= 4 + menu2.pixel_y and y <= 15 + menu2.pixel_y then return true end end
		menu2.images[id].button["m"] = function(x, y) if x >= 220 + menu2.pixel_x and x <= 231 + menu2.pixel_x and y >= 4 + menu2.pixel_y and y <= 15 + menu2.pixel_y then return true end end
		menu2.onscreen[id] = true
		imagealpha(menu2.images[id].desk, 0.88)
	else
		if menu2.onscreen[id] then
			menu2.close(id)
			menu2.show(self, id)
		elseif menu2.mini[id][1] then
			menu2.show(mini[id][2], id)
			menu2.mini[id] = {false}
			menu2.images[id].button["m"] = function(x, y) if x >= 220 + menu2.pixel_x and x <= 231 + menu2.pixel_x and y >= 4 + menu2.pixel_y and y <= 15 + menu2.pixel_y then return true end end
			imagepos(menu2.images[id].buttons.m, 226 + menu2.pixel_x, 10 + menu2.pixel_y, 0)
		else
			menu2.show(self, id)
		end
	end
end

function menu2:show(id)
	menu2.mini[id][1] = false
	imagealpha(menu2.images[id].desk, 0.88)
	imagealpha(menu2.images[id].line, 1)
	imagealpha(menu2.images[id].buttons.x, 1)
	imagealpha(menu2.images[id].buttons.m, 1)
	imagealpha(menu2.images[id].mini, 0)
	menu2.images[id].rmen = self
	for i = 0, 9, 1 do
		if menu2.images[id].buttons[i] then
			imagealpha(menu2.images[id].buttons[i], 1)
		end
	end
	local men = self
	while men:find(",,") do
		men = men:sub(1, select(1, men:find(",,")) - 1) .. ", , " .. men:sub(select(1, men:find(",,")) + 2)
	end
	if men:sub(-1, -1) == "," then
		men = men:sub(1, -1)
	end
	mentbl = men:toTable(",")
	menu2.images[id].t = mentbl[1]
	for i, v in ipairs(mentbl) do
		if i ~= 1 then
			if v:sub(1, 1) == "(" then
				mentbl[i] = {v:sub(2):sub(1, -2), false}
			else
				mentbl[i] = {v, true}
			end
		end
	end
	menu2.hudtxt2(id, 1, "255255255" .. mentbl[1], 16 + menu2.pixel_x, 4 + menu2.pixel_y)
	menu2.images[id].active = menu2.images[id].active or {}
	for i = 1, 9 do
		if mentbl[i + 1] then
			if mentbl[i + 1][2] then
				if mentbl[i + 1][1] ~= " " and mentbl[i + 1][1] ~= nil and mentbl[i + 1][1] ~= "" then
					menu2.hudtxt2(id, i + 1, "255255255" .. mentbl[i + 1][1], 36 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
					menu2.hudtxt2(id, i + 10, "100100100" .. i, 21 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
					menu2.images[id].active[i] = true
				else
					imagealpha(menu2.images[id].buttons[i], 0)
					menu2.images[id].active[i] = false
				end
			else
				menu2.hudtxt2(id, i + 1, "100100100" .. mentbl[i + 1][1], 36 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
				menu2.hudtxt2(id, i + 10, "100100100" .. i, 21 + menu2.pixel_x, 4 + (i * 30) + menu2.pixel_y)
				menu2.images[id].active[i] = false
			end
		else
			imagealpha(menu2.images[id].buttons[i], 0)
		end
	end
	menu2.images[id].active[0] = true
	menu2.hudtxt2(id, 22, "255255255Close", 36 + menu2.pixel_x, 400 + menu2.pixel_y)
	menu2.hudtxt2(id, 23, "1001001000", 21 + menu2.pixel_x, 400 + menu2.pixel_y)
	menu2.onscreen[id] = true
end

function menu2.close(id)
	menu2.images[id].rmen = nil
	imagealpha(menu2.images[id].desk, 0)
	imagealpha(menu2.images[id].line, 0)
	imagealpha(menu2.images[id].buttons.x, 0)
	imagealpha(menu2.images[id].buttons.m, 0)
	imagealpha(menu2.images[id].mini, 0)
	for i = 0, 9, 1 do
		if menu2.images[id].buttons[i] then
			imagealpha(menu2.images[id].buttons[i], 0)
		end
	end
	menu2.hudtxt2(id, 1, "", 0, 0)
	for i = 1, 9 do
		menu2.hudtxt2(id, i + 1, "", 0, 0)
		menu2.hudtxt2(id, i + 10, "", 0, 0)
	end
	menu2.hudtxt2(id, 22, "", 0, 0)
	menu2.hudtxt2(id, 23, "", 0, 0)
	menu2.onscreen[id] = false
end

function menu(id, men, wich)
	if wich == 2 then
		menu2.load(men, id)
	else
		_menu(id, men)
	end
end

function menu2.clickoff(id)
	id = tonumber(id)
	menu2.click[id] = false
end

function menu2.clientdata(id, mode, x, y)
	if mode == 0 then
		menu2.cursorpos[id] = {x = x, y = y}
	end
end
addhook([[clientdata]], [[menu2.clientdata]], -1)

function menu2.attack(id)
	menu2.click[id] = true
	timer(100, "menu2.clickoff", id)
end
addhook([[attack]], [[menu2.attack]], -1)

function menu2.ms100()
	for _, id in ipairs(player(0, "table")) do
		if menu2.images[id] then
			menu2.mini[id] = menu2.mini[id] or {false}
			if menu2.onscreen[id] then
				reqcld(id, 0)
				menu2.cursorpos[id] = menu2.cursorpos[id] or {}
				local x, y = menu2.cursorpos[id].x, menu2.cursorpos[id].y
				if not y then return end
				for i = 0, 9, 1 do
					menu2.images[id].active[i] = menu2.images[id].active[i] or false
					if menu2.images[id].button[i] then
						if menu2.images[id].button[i](x, y) and menu2.images[id].active[i] then
							tween_color(menu2.images[id].buttons[i], 100, 255, 255, 255)
							if menu2.click[id] then
								menu2.close(id)
								loadstring(menu2.menu_function .. "(" .. id .. ", '" .. menu2.images[id].t .. "', " .. i .. ", 2)")()
								parse("sv_sound2 " .. id .. " \"wpn_moveselect.wav\"")
							end
						else
							tween_color(menu2.images[id].buttons[i], 100, 220, 220, 220)
						end
					end
				end
				if menu2.images[id].button.x then
					if menu2.images[id].button.x(x, y) then
						tween_color(menu2.images[id].buttons.x, 100, 255, 255, 255)
						if menu2.click[id] then
							menu2.close(id)
							loadstring(menu2.menu_function .. "(" .. id .. ", '" .. menu2.images[id].t .. "', -1, 2)")()
							parse("sv_sound2 " .. id .. " \"wpn_moveselect.wav\"")
						end
					else
						tween_color(menu2.images[id].buttons.x, 100, 220, 220, 220)
					end
				end
				if menu2.images[id].button.m then
					if menu2.images[id].button.m(x, y) then
						tween_color(menu2.images[id].buttons.m, 100, 255, 255, 255)
						if menu2.click[id] then
							menu2.minimize(id, menu2.images[id].rmen)
							menu2.images[id].button["m"] = function(x, y) if x >= 168 + menu2.pixel_x and x <= 179 + menu2.pixel_x and y >= 419 + menu2.pixel_y and y <= 429 + menu2.pixel_y then return true end end
							parse("sv_sound2 " .. id .. " \"wpn_moveselect.wav\"")
						end
					else
						tween_color(menu2.images[id].buttons.m, 100, 220, 220, 220)
					end
				end
			elseif menu2.mini[id][1] == true then
				reqcld(id, 0)
				local x, y = menu2.cursorpos[id].x, menu2.cursorpos[id].y
				if menu2.images[id].button.m(x, y) then
					tween_color(menu2.images[id].buttons.m, 100, 255, 255, 255)
					if menu2.click[id] then
						menu2.show(menu2.images[id].rmen, id)
						menu2.mini[id] = {false}
						menu2.images[id].button["m"] = function(x, y) if x >= 220 + menu2.pixel_x and x <= 231 + menu2.pixel_x and y >= 4 + menu2.pixel_y and y <= 15 + menu2.pixel_y then return true end end
						imagepos(menu2.images[id].buttons.m, 226 + menu2.pixel_x, 10 + menu2.pixel_y, 0)
						parse("sv_sound2 " .. id .. " \"wpn_moveselect.wav\"")
					end
				else
					tween_color(menu2.images[id].buttons.m, 100, 220, 220, 220)
				end
			end
		end
	end
end
addhook([[ms100]], [[menu2.ms100]], -1)

menu2.leave = function(id, r)
	if menu2.images[id] then
		freeimage(menu2.images[id].desk, 0)
		freeimage(menu2.images[id].line, 0)
		freeimage(menu2.images[id].buttons.x, 0)
		freeimage(menu2.images[id].buttons.m, 0)
		freeimage(menu2.images[id].mini, 0)
		for i = 0, 9, 1 do
			if menu2.images[id].buttons[i] then
				freeimage(menu2.images[id].buttons[i], 0)
			end
		end
	end
	menu2.hudtxt2(id, 1, "", 0, 0)
	for i = 1, 9 do
		menu2.hudtxt2(id, i + 1, "", 0, 0)
		menu2.hudtxt2(id, i + 10, "", 0, 0)
	end
	menu2.hudtxt2(id, 22, "", 0, 0)
	menu2.hudtxt2(id, 23, "", 0, 0)
	menu2.onscreen[id] = nil
	menu2.images[id] = nil
	menu2.cursorpos[id] = nil
	menu2.click[id] = nil
	menu2.mini[id] = nil
end
addhook([[leave]], [[menu2.leave]], -1)

menu2.servertransfer_save()